import { StatusBar } from "expo-status-bar";
import React from "react";
import {
  StyleSheet,
  Text,
  View,
  TextInput,
  TouchableOpacity,
  Image,
  Dimensions
} from "react-native";
import colors from "./colors";
import Navigation from './Navigation';

const screen = Dimensions.get('window');

const styles=StyleSheet.create({
    container: {
        flex: 1,
        backgroundColor: colors.blud
    },
    input: {
        margin: 15,
        marginTop: 60,
      height: 70,
      padding:10,
      width: screen.width*0.8,
      alignSelf: 'center',
      borderColor: colors.fuchsia,
      borderWidth: 1,
      backgroundColor: colors.black,
      borderRadius: 50,
      color: colors.white,
    },
    input2: {
        margin: 15,
        marginTop: 60,
      height: 70,
      padding:10,
      width: screen.width*0.4,
      alignSelf: 'center',
      borderColor: colors.fuchsia,
      borderWidth: 1,
      backgroundColor: colors.black,
      borderRadius: 50,
      color: colors.white,
    },
    header: {
        fontWeight: 'bold',
        fontSize: 30,
        fontFamily:'Damascus',
        marginLeft: 20,
        color:colors.white
    }
})

export default class Credit extends React.Component {
    render() {
      return (
          <View style={styles.container}>
              <Text style={styles.header}>Credit Card Information</Text>
              <TextInput style = {styles.input}
               underlineColorAndroid = "transparent"
               placeholder = "                     XXX-XXX-XXXX"
               placeholderTextColor = {colors.grey}
               autoCapitalize = "none"/>
               <TextInput style = {styles.input}
               underlineColorAndroid = "transparent"
               placeholder = "                    EXP MONTH/YEAR"
               placeholderTextColor = {colors.grey}
               autoCapitalize = "none"/>
               <TextInput style = {styles.input2}
               underlineColorAndroid = "transparent"
               placeholder = "             CVV"
               placeholderTextColor = {colors.grey}
               autoCapitalize = "none"/>
          </View>
      )
    }
}